edu.northwestern.at.morphadorner

## Class AddWordAttributesFilter

- java.lang.Object
- - org.xml.sax.helpers.XMLFilterImpl
  - - edu.northwestern.at.utils.xml.ExtendedXMLFilterImpl
    - - edu.northwestern.at.morphadorner.AddWordAttributesFilter

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

      public class AddWordAttributesFilter
      extends ExtendedXMLFilterImpl

  Filter to add word attributes to adorned file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `idAttrName` ID attribute name.
    `protected MorphAdornerSettings` | `morphAdornerSettings` MorphAdorner settings.
    `protected boolean` | `outputEosAttribute` True to output eos attribute.
    `protected boolean` | `outputNonredundantAttributesOnly` True to output non-redundant attributes only.
    `protected boolean` | `outputNonredundantEosAttribute` True to output non-redundant eos attributes only.
    `protected boolean` | `outputNonredundantPartAttribute` True to output non-redundant part attributes only.
    `protected boolean` | `outputNonredundantTokenAttribute` True to output non-redundant token attributes only.
    `protected boolean` | `outputSentenceNumber` True to output sentence number attributes.
    `protected boolean` | `outputWhitespace` True to output whitespace elements.
    `protected boolean` | `outputWordNumber` True to output word number attributes.
    `protected boolean` | `outputWordOrdinal` True to output word ordinal attributes.
    `protected ExtendedAdornedWordFilter` | `wordInfoFilter` ExtendedAdornedWordFilter providing word attribute information.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddWordAttributesFilter(org.xml.sax.XMLReader reader, ExtendedAdornedWordFilter wordInfoFilter, MorphAdornerSettings morphAdornerSettings)` Create filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Handle end of an element.
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Handle start of an XML element.

    - ### Methods inherited from class edu.northwestern.at.utils.xml.ExtendedXMLFilterImpl

      `removeAttribute, setAttributeValue, setAttributeValue, setAttributeValue`

    - ### Methods inherited from class org.xml.sax.helpers.XMLFilterImpl

      `characters, endDocument, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wordInfoFilter

          protected ExtendedAdornedWordFilter wordInfoFilter

      ExtendedAdornedWordFilter providing word attribute information.

    - #### outputNonredundantAttributesOnly

          protected boolean outputNonredundantAttributesOnly

      True to output non-redundant attributes only.

    - #### outputNonredundantTokenAttribute

          protected boolean outputNonredundantTokenAttribute

      True to output non-redundant token attributes only.

    - #### outputNonredundantPartAttribute

          protected boolean outputNonredundantPartAttribute

      True to output non-redundant part attributes only.

    - #### outputNonredundantEosAttribute

          protected boolean outputNonredundantEosAttribute

      True to output non-redundant eos attributes only.

    - #### outputEosAttribute

          protected boolean outputEosAttribute

      True to output eos attribute.

    - #### outputWhitespace

          protected boolean outputWhitespace

      True to output whitespace elements.

    - #### outputWordNumber

          protected boolean outputWordNumber

      True to output word number attributes.

    - #### outputSentenceNumber

          protected boolean outputSentenceNumber

      True to output sentence number attributes.

    - #### outputWordOrdinal

          protected boolean outputWordOrdinal

      True to output word ordinal attributes.

    - #### idAttrName

          protected java.lang.String idAttrName

      ID attribute name.

    - #### morphAdornerSettings

          protected MorphAdornerSettings morphAdornerSettings

      MorphAdorner settings.

  - ### Constructor Detail

    - #### AddWordAttributesFilter

          public AddWordAttributesFilter(org.xml.sax.XMLReader reader,
                                 ExtendedAdornedWordFilter wordInfoFilter,
                                 MorphAdornerSettings morphAdornerSettings)

      Create filter.
      Parameters:
        `reader` - XML input reader to which this filter applies.
        `wordInfoFilter` - ExtendedAdornedWordFilter with word information.
        `morphAdornerSettings` - MorphAdorner settings.

  - ### Method Detail

    - #### startElement

          public void startElement(java.lang.String uri,
                          java.lang.String localName,
                          java.lang.String qName,
                          org.xml.sax.Attributes atts)
                            throws org.xml.sax.SAXException

      Handle start of an XML element.
      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.XMLFilterImpl`
      Parameters:
        `uri` - The XML element's URI.
        `localName` - The XML element's local name.
        `qName` - The XML element's qname.
        `atts` - The XML element's attributes.
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                        java.lang.String localName,
                        java.lang.String qName)
                          throws org.xml.sax.SAXException

      Handle end of an element.
      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.XMLFilterImpl`
      Parameters:
        `uri` - The XML element's URI.
        `localName` - The XML element's local name.
        `qName` - The XML element's qname.
      Throws:
        `org.xml.sax.SAXException`